dubbo:
  application:
    register-consumer: false
server:
  port: 6010
  tomcat:
    max-http-form-post-size: 4MB
  servlet:
    session:
      cookie:
        secure: true
        http-only: true
        # org.springframework.boot.web.embedded.tomcat.TomcatServletWebServerFactory.getSessionTimeoutInMinutes 获取超时时间
        # 两个请求间隔的最大时间, 超过此时间则会话过期
      timeout: 10m
spring:
  threads:
    virtual:
      enabled: true
  application:
    name: admin-service
  profiles:
    active: @profile.active@
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  servlet:
    multipart:
      max-request-size: 5MB
      max-file-size: 5MB
  session:
    store-type: redis
    redis:
      namespace: tnb:auth:session
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 10
      auto-commit: true
      idle-timeout: 30000
      pool-name: EvaluationHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
mybatis:
  configuration:
    map-underscore-to-camel-case: true
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath*:mapper/**/**.xml
  type-aliases-package: cn.reghao.tnb.admin.model.po
app:
  es-host: 192.168.0.81
  es-port: 9200
  es-username: elastic
  es-password: VLTtN03SSJ4lsyyg56kf
  kafka-uri: 192.168.0.81:9092
  kafka-topic: NginxLog
  base-dir: /opt/data/search_data
  native-lucene-dirname: native_lucene
  hibernate-lucene-dirname: hibernate_lucene
  geoip-filename: qqwry.dat
  geojson-filename: china1.json
  gatewayAdminUrl: http://localhost:16000